#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#
#define debug_package %{nil}

%define rel 1

Summary:        KDE Frameworks 5 Tier 3 addon for bookmarks manipulation
Name:           kbookmarks
Version: 5.32.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/unstable/framework/%{name}-%{version}.tar.xz
URL:            https://www.kde.org/


BuildRequires:  kf5-macros

BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5Gui)
BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(Qt5Xml)
BuildRequires: pkgconfig(Qt5DBus)
BuildRequires: pkgconfig(Qt5Help)
 
BuildRequires: kauth-devel >= %version
BuildRequires: kcodecs-devel >= %version
BuildRequires: kconfig-devel >= %version
BuildRequires: kguiaddons-devel >= %version
BuildRequires: ki18n-devel >= %version
BuildRequires: kconfigwidgets-devel >= %version
BuildRequires: kcoreaddons-devel >= %version
BuildRequires: kitemviews-devel >= %version
BuildRequires: kiconthemes-devel >= %version
BuildRequires: kwidgetsaddons-devel >= %version
BuildRequires: kglobalaccel-devel >= %version
BuildRequires: kcompletion-devel >= %version
BuildRequires: kdbusaddons-devel >= %version
BuildRequires: kservice-devel >= %version
BuildRequires: kwindowsystem-devel >= %version
BuildRequires: sonnet-devel >= %version
BuildRequires: ktextwidgets-devel >= %version 
BuildRequires: kxmlgui-devel >= %version

%description
KDE Frameworks 5 Tier 3 addon for bookmarks manipulation

#--------------------------------------------------------------------

%define kf5bookmarks_major 5
%define libkf5bookmarks %mklibname kf5bookmarks %{kf5bookmarks_major}

%package -n %libkf5bookmarks
Summary:  KDE Frameworks 5 Tier 3 addon for bookmarks manipulation
Group:        System/Libraries

%description -n %libkf5bookmarks
KDE Frameworks 5 Tier 3 addon for bookmarks manipulation

%files -n %libkf5bookmarks -f %{name}5_qt.lang
%_kf5_libdir/libKF5Bookmarks.so.%{kf5bookmarks_major}*

#--------------------------------------------------------------------

%define kf5bookmarks_devel %mklibname kf5bookmarks -d

%package -n %kf5bookmarks_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5bookmarks = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5bookmarks_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5bookmarks_devel
%_kf5_includedir/KBookmarks
%_kf5_includedir/kbookmarks_version.h
%_kf5_libdir/cmake/KF5Bookmarks
%_kf5_libdir/*.so
%_libdir/qt5/mkspecs/modules/*.pri

#--------------------------------------------------------------------

%prep
%setup -q 

%build
%cmake_kf5
%make

%install
%makeinstall_std -C build
%find_lang_kf5 %{name}5_qt


%changelog
* Mon Mar 06 2017 neoclust <neoclust> 5.32.0-1.mga6
+ Revision: 1088947
- New version 5.32.0

* Tue Dec 13 2016 neoclust <neoclust> 5.29.0-1.mga6
+ Revision: 1074518
- New version 5.29.0

* Sun Dec 04 2016 neoclust <neoclust> 5.28.0-1.mga6
+ Revision: 1072179
- New version 5.28.0

* Tue Oct 04 2016 neoclust <neoclust> 5.27.0-1.mga6
+ Revision: 1058338
- New version 5.27.0

* Thu Sep 08 2016 neoclust <neoclust> 5.26.0-1.mga6
+ Revision: 1050515
- New version 5.26.0

* Tue Aug 09 2016 neoclust <neoclust> 5.25.0-1.mga6
+ Revision: 1045093
- New version 5.25.0

* Tue Jul 12 2016 neoclust <neoclust> 5.24.0-1.mga6
+ Revision: 1041315
- New version 5.24.0

* Fri Jun 17 2016 neoclust <neoclust> 5.23.0-1.mga6
+ Revision: 1021913
- New version 5.23.0

* Thu May 12 2016 neoclust <neoclust> 5.22.0-1.mga6
+ Revision: 1014323
- New version 5.22.0

* Sat Apr 09 2016 neoclust <neoclust> 5.21.0-1.mga6
+ Revision: 999620
- New version 5.21.0

* Sun Mar 06 2016 neoclust <neoclust> 5.20.0-1.mga6
+ Revision: 986311
- New version 5.20.0

* Sun Feb 07 2016 neoclust <neoclust> 5.19.0-1.mga6
+ Revision: 942232
- New version 5.19.0

* Sun Jan 10 2016 neoclust <neoclust> 5.18.0-1.mga6
+ Revision: 921266
- New version 5.18.0

* Mon Dec 21 2015 neoclust <neoclust> 5.17.0-2.mga6
+ Revision: 913112
- Rebuild against Qt 5.6.0 Beta

* Sun Dec 13 2015 neoclust <neoclust> 5.17.0-1.mga6
+ Revision: 909875
- New version 5.17.0

* Tue Nov 10 2015 neoclust <neoclust> 5.16.0-4.mga6
+ Revision: 900538
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 5.16.0-3.mga6
+ Revision: 899546
- Rebuild against fixed extra-cmake-modules

* Sun Nov 08 2015 neoclust <neoclust> 5.16.0-2.mga6
+ Revision: 898910
- New version 5.16.0

* Fri Oct 09 2015 neoclust <neoclust> 5.15.0-1.mga6
+ Revision: 888150
- New version 5.15.0

* Sat Sep 19 2015 neoclust <neoclust> 5.14.0-1.mga6
+ Revision: 881374
- New version 5.14.0

* Tue Aug 11 2015 neoclust <neoclust> 5.13.0-1.mga6
+ Revision: 862933
- New version 5.13.0

* Tue Aug 11 2015 neoclust <neoclust> 5.12.0-3.mga6
+ Revision: 862623
- Plasma Mass Rebuild - Rebuild for new kf5-macros

* Tue Aug 11 2015 neoclust <neoclust> 5.12.0-2.mga6
+ Revision: 862580
- Fix translations

* Tue Jul 14 2015 neoclust <neoclust> 5.12.0-1.mga6
+ Revision: 853780
- New version 5.12.0

* Tue Jun 23 2015 neoclust <neoclust> 5.11.0-1.mga6
+ Revision: 841555
- New version 5.11.0

* Tue Dec 16 2014 neoclust <neoclust> 5.5.0-1.mga5
+ Revision: 803342
- New version 5.5.0

* Wed Oct 15 2014 umeabot <umeabot> 5.1.0-3.mga5
+ Revision: 748145
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.1.0-2.mga5
+ Revision: 680943
- Mageia 5 Mass Rebuild

* Thu Aug 07 2014 neoclust <neoclust> 5.1.0-1.mga5
+ Revision: 660413
- New version 5.1.0

* Mon Jul 14 2014 neoclust <neoclust> 5.0.0-1.mga5
+ Revision: 651866
- Remove kjs-devel as BR
- New version 5.0.0
- New version 4.100.0
- New version 4.99.0

* Wed Apr 02 2014 neoclust <neoclust> 4.98.0-1.mga5
+ Revision: 611259
- New version 4.98.0

* Wed Mar 05 2014 neoclust <neoclust> 4.97.0-1.mga5
+ Revision: 599815
- New version 4.97.0

* Wed Feb 19 2014 neoclust <neoclust> 4.96.0-1.mga5
+ Revision: 594753
- imported package kbookmarks

